package _VisualDVM.ServerObjectsCache;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Configuration.Configuration;
import _VisualDVM.TestingSystem.Common.Settings.Json.SettingsJson;
import _VisualDVM.TestingSystem.DVM.DVMSettings.DVMSettings;

import java.util.Vector;
public class DVMConfigurationCache extends ConfigurationCache{
    public DVMConfigurationCache(Configuration configuration) {
        super(configuration);
    }
    public Vector<DVMSettings> getSettings(){
        Vector<DVMSettings> res = new Vector<>();
        for (SettingsJson settingsJson : settingsJson.array){
            if (Global.testingServer.db.dvmSettings.containsKey(settingsJson.id))
                res.add(Global.testingServer.db.dvmSettings.get(settingsJson.id));
        }
        return res;
    }
}
